// ==UserScript==
// @name         Google Images filter
// @namespace    https://fem.mint.lgbt/f.strw
// @version      v1
// @description  Removes shopping from a place where you look for a fucking pictures.
// @author       f.strw
// @include      *
// @grant        none
// ==/UserScript==

(function() {
    'use strict';
    if (window.location.search.indexOf('&tbm=isch') > -1) {
        var blockedDomains = ["redbubble.com", "etsy.com", "amazon.com", "amazon.de", "aliexpress.com", "teepublic.com", "badgeland.com", "ebay.com"];
        var links = document.getElementsByTagName("a");
        for (var i = 0; i < links.length; i++) {
            for (var j = 0; j < blockedDomains.length; j++) {
                if (links[i].href.indexOf(blockedDomains[j]) !== -1) {
                    var parentDiv = links[i].closest("div");
                    if (parentDiv) {
                        parentDiv.remove();
                    }
                }
            }
        }
   }
})();